Name:           mojo-parent
Version:        50
Release:        %mkrel 3
Group:          Development/Java
Summary:        Codehaus MOJO parent project pom file
License:        ASL 2.0

URL:            https://www.mojohaus.org/mojo-parent/
Source0:        https://github.com/mojohaus/mojo-parent/archive/%{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local

%description
Codehaus MOJO parent project pom file

%prep
%setup -q -n %{name}-%{name}-%{version}

# Cobertura plugin is executed only during clean Maven phase.
%pom_remove_plugin :cobertura-maven-plugin

# Not needed in Fedora.
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-checkstyle-plugin

cp %SOURCE1 .


%build
%mvn_alias : org.codehaus.mojo:mojo
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc LICENSE-2.0.txt




%changelog
* Tue Sep 08 2020 daviddavid <daviddavid> 50-3.mga8
+ Revision: 1623426
- Remove dependency on site-plugin and checkstyle-plugin

* Fri Feb 14 2020 umeabot <umeabot> 50-2.mga8
+ Revision: 1521764
- Mageia 8 Mass Rebuild

* Tue Jan 01 2019 kekepower <kekepower> 50-1.mga7
+ Revision: 1347796
- Update to version 50

* Thu Sep 20 2018 umeabot <umeabot> 40-2.mga7
+ Revision: 1279946
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 40-1.mga7
+ Revision: 1217643
- Update to version 40
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 38-2.mga6
+ Revision: 977255
- First rebuild of the java stack
- sync package mojo-parent with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 pterjan <pterjan> 33-2.mga5
+ Revision: 809882
- Clean rebuild
- Fix group
- Sync with Fedora 21 (update to 33)

* Wed Oct 15 2014 umeabot <umeabot> 32-4.mga5
+ Revision: 744266
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 32-2.mga4
+ Revision: 529841
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 32-1.mga4
+ Revision: 453708
- New version

* Sat Jan 12 2013 umeabot <umeabot> 28-6.mga3
+ Revision: 360197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 28-5.mga3
+ Revision: 324292
- Java Stack Mass Rebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 28-4.mga1
+ Revision: 92941
- Rebuild after bootstrapping

* Wed Apr 27 2011 dmorgan <dmorgan> 28-3.mga1
+ Revision: 92167
- Rebuild after bootstrapping
- imported package mojo-parent


* Tue Mar  8 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 28-2
- Remove parent from pom.xml (no codehaus-parent in Fedora now)

* Mon Mar  7 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 28-1
- Update to latest upstream

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-5
- Add component-javadoc to R

* Thu Sep 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-4
- Add forgotten jpackage-utils BR

* Tue Sep 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-3
- Change to license used by upstream (ASL 2.0)

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-2
- Removed %%build section and BRs (not really needed)

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-1
- Initial version of the package

